Skip to content

Creates a new show floor record that does not already exist.

Request

This method will auto-generate an ID and create a new show floor. If an ID is specified for the show floor, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The show floor that you would like to be saved.

custom_field_valuesArray of objects(Custom Field Values)
display_ordernumber, (float)(Display Order)

The order to show the floor

enable_virtual_show_floorboolean(Enable Virtual Show Floor)

If true, the virtual show floor is enabled

event_idstring(Event)required

The event

idstring(ID)/^[\w-_:]+$/required

The unique, string identifier of this show floor

layout_uristring(Layout Uri)

A floor layout

namestring(Name)required

The name of the show floor

show_idstring(Show)required

The show

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

virtual_show_floor_optionsobject(Virtual Show Floor Options)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/showFloors/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "display_order": 0.1,
    "enable_virtual_show_floor": true,
    "event_id": "string",
    "id": "string",
    "layout_uri": "string",
    "name": "string",
    "show_id": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "virtual_show_floor_options": {
      "booth_layout": {}
    }
  }'

Responses

The show floor was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
custom_field_valuesArray of objects(Custom Field Values)
display_ordernumber, (float)(Display Order)

The order to show the floor

enable_virtual_show_floorboolean(Enable Virtual Show Floor)

If true, the virtual show floor is enabled

event_idstring(Event)required

The event

idstring(ID)/^[\w-_:]+$/required

The unique, string identifier of this show floor

layout_uristring(Layout Uri)

A floor layout

namestring(Name)required

The name of the show floor

show_idstring(Show)required

The show

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

virtual_show_floor_optionsobject(Virtual Show Floor Options)required
Response
{ "custom_field_values": [ { … } ], "display_order": 0.1, "enable_virtual_show_floor": true, "event_id": "string", "id": "string", "layout_uri": "string", "name": "string", "show_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "virtual_show_floor_options": { "booth_layout": {} } }